1.0
1.0
get /v1/vpc-peerings
Description
VPC Peering 목록 조회
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC Peering ID Example : | any of [string, null] | None |
| query | name optional | VPC Peering 명 Example : | any of [string, null] | None |
| query | requester_vpc_id optional | 요청 VPC ID Example : | any of [string, null] | None |
| query | requester_vpc_name optional | 요청 VPC 명 Example : | any of [string, null] | None |
| query | approver_vpc_id optional | 승인 VPC ID Example : | any of [string, null] | None |
| query | approver_vpc_name optional | 승인 VPC 명 Example : | any of [string, null] | None |
| query | account_type optional | 과제 유형 Example : | any of [enum (SAME, DIFFERENT), null] | None |
| query | state optional | 상태 Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR, EDITING, CREATING_REQUESTING, REJECTED, CANCELED, DELETING_REQUESTING), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcPeeringListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-peerings
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpc_peerings": [
{
"account_type": "SAME",
"approver_vpc_account_id": "",
"approver_vpc_id": "",
"approver_vpc_name": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"delete_requester_account_id": "",
"description": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"requester_vpc_account_id": "",
"requester_vpc_id": "",
"requester_vpc_name": "",
"state": "CREATING"
}
]
}